[driverloader] Mandrake 9.2 kernel mismatch?

William Irving MacGregor macgregor at austin.rr.com
Tue Mar 16 11:54:33 EST 2004

Hi -

I'm trying to install Driverloader to use a D-Link DWL-520 rev E with 
stock (fresh from CDs) Mandrake 9.2.

But first problems first--the Linuxant binary won't install.  uname 
tells me the kernel version is 2.4.22-10mdk, and I downloaded the same 
version of the binary Driverloader rpm.  But when I try to install with 
"rpm -i ...", I get a kernel mismatch error.

I see several messages reporting success with Mandrake 9.2, so I'm 
wondering why my situation is different.  Here's my guess:  my machine 
is a ShuttleX Athlon XP motherboard with nVidia chipset, and on-board 
GeForce 4 graphics.  I know Mandrake 9.2 is loading nVidia 3D drivers 
(during boot, an nVidia splash screen pops for a few seconds)--could 
this affect the kernel identification somehow, to cause the match test 
to fail?

Any suggestions?  Do I have to follow the "rebuild the rpm in the 
context of the kernel development tree" route?  If so, I'm a bit lost, 
because the Mandrake installer doesn't install the kernel development 
tree, and it is certainly not obvious how to load it after the fact.

Thanks much for any help,  happy hunting,

   - Bill

More information about the driverloader mailing list